## org.red5.server.stream
Class OutputStream

    java.lang.Object
      org.red5.server.stream.OutputStream

    public class OutputStream

extends Object

Output stream that consists of audio, video and data channels

See Also:
  `Channel`

Field Summary
`protected static Logger` `log` Logger

Constructor Summary
`OutputStream(Channel video, Channel audio, Channel data)` Creates output stream from channels

Method Summary
`void` `close()` Closes audion, video and data channels
`Channel` `getAudio()` Getter for audio channel
`Channel` `getData()` Getter for data channel
`Channel` `getVideo()` Getter for video channel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Logger log

  Logger

Constructor Detail

### OutputStream

    public OutputStream(Channel video,
                        Channel audio,
                        Channel data)

  Creates output stream from channels

  Parameters:
    `video` - Video channel
    `audio` - Audio channel
    `data` - Data channel

Method Detail

### close

    public void close()

  Closes audion, video and data channels

### getAudio

    public Channel getAudio()

  Getter for audio channel

  Returns:
    Audio channel

### getData

    public Channel getData()

  Getter for data channel

  Returns:
    Data channel

### getVideo

    public Channel getVideo()

  Getter for video channel

  Returns:
    Video channel

Copyright © 2006-2010 The Red5 Project